<?php
/**
* Widget Functions.
*
* @package Spa Parlor
*/

function spa_parlor_widgets_init(){

	register_sidebar(array(
	    'name' => esc_html__('Main Sidebar', 'spa-parlor'),
	    'id' => 'sidebar-1',
	    'description' => esc_html__('Add widgets here.', 'spa-parlor'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));

	register_sidebar(array(
	    'name' => esc_html__('Header Sidebar', 'spa-parlor'),
	    'id' => 'sidebar-header',
	    'description' => esc_html__('Add widgets here.', 'spa-parlor'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));


    $spa_parlor_default = spa_parlor_get_default_theme_options();
    $spa_parlor_footer_column_layout = absint( get_theme_mod( 'spa_parlor_footer_column_layout',$spa_parlor_default['spa_parlor_footer_column_layout'] ) );

    for( $i = 0; $i < $spa_parlor_footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','spa-parlor'); }
    	if( $i == 1 ){ $count = esc_html__('Two','spa-parlor'); }
    	if( $i == 2 ){ $count = esc_html__('Three','spa-parlor'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'spa-parlor').$count,
	        'id' => 'spa-parlor-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'spa-parlor'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'spa_parlor_widgets_init');